IndexMaintenanceException (Apache Geode 1.11.0)
Date: 2019-12-20

org.apache.geode.cache.query

## Class IndexMaintenanceException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.geode.GemFireException
        - - org.apache.geode.cache.CacheRuntimeException
          - - org.apache.geode.cache.query.IndexMaintenanceException

- All Implemented Interfaces:
    Serializable

      public class IndexMaintenanceException
      extends CacheRuntimeException

  Thrown if an error occurs while updating query indexes during region modification.
  Since:
    GemFire 4.0
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IndexMaintenanceException()` Creates a new instance of `IndexMaintenanceException` without detail message.
    `IndexMaintenanceException(String msg)` Constructs an instance of `IndexMaintenanceException` with the specified detail message.
    `IndexMaintenanceException(String msg, Throwable cause)` Constructs an instance of `IndexMaintenanceException` with the specified detail message and cause.
    `IndexMaintenanceException(Throwable cause)` Constructs an instance of `IndexMaintenanceException` with the specified cause.

  - ### Method Summary

    - ### Methods inherited from class org.apache.geode.cache.CacheRuntimeException

      `toString`

    - ### Methods inherited from class org.apache.geode.GemFireException

      `getRootCause`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### IndexMaintenanceException

          public IndexMaintenanceException()

      Creates a new instance of `IndexMaintenanceException` without detail message.

    - #### IndexMaintenanceException

          public IndexMaintenanceException(String msg)

      Constructs an instance of `IndexMaintenanceException` with the specified detail message.
      Parameters:
        `msg` - the detail message.

    - #### IndexMaintenanceException

          public IndexMaintenanceException(String msg,
                                           Throwable cause)

      Constructs an instance of `IndexMaintenanceException` with the specified detail message and cause.
      Parameters:
        `msg` - the detail message
        `cause` - the causal Throwable

    - #### IndexMaintenanceException

          public IndexMaintenanceException(Throwable cause)

      Constructs an instance of `IndexMaintenanceException` with the specified cause.
      Parameters:
        `cause` - the causal Throwable